NotificationControllerCreateNotification Method |
POST /Notification/
Creates a notification.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public IActionResult CreateNotification(
[FromBodyAttribute] SaveNotificationOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function CreateNotification (
<FromBodyAttribute> options As SaveNotificationOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ CreateNotification(
[FromBodyAttribute] SaveNotificationOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member CreateNotification :
[<FromBodyAttribute>] options : SaveNotificationOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsSaveNotificationOptions
The notification options. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA
NotificationData object, or a status code indicating the problem.
See Also